Package org.mariadb.jdbc.message.server

## Class CachedPrepareResultPacket

- java.lang.Object
- - org.mariadb.jdbc.message.server.PrepareResultPacket
  - - org.mariadb.jdbc.message.server.CachedPrepareResultPacket

All Implemented Interfaces:
  `org.mariadb.jdbc.client.Completion`, `Prepare`, `org.mariadb.jdbc.message.ServerMessage`

    public final class CachedPrepareResultPacket
    extends PrepareResultPacket

### Field Summary

### Fields inherited from class org.mariadb.jdbc.message.server.PrepareResultPacket

`statementId`

### Constructor Summary

Constructors
`CachedPrepareResultPacket​(org.mariadb.jdbc.client.ReadableByteBuf buffer, Reader reader, org.mariadb.jdbc.client.Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cache()`
`void` `close​(org.mariadb.jdbc.client.Client con)`
`void` `decrementUse​(org.mariadb.jdbc.client.Client con, ServerPreparedStatement preparedStatement)`
`int` `getStatementId()`
`void` `incrementUse​(ServerPreparedStatement preparedStatement)`
`void` `reset()`
`void` `unCache​(org.mariadb.jdbc.client.Client con)`

### Methods inherited from class org.mariadb.jdbc.message.server.PrepareResultPacket

`getColumns, getParameters, setColumns`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachedPrepareResultPacket

    public CachedPrepareResultPacket​(org.mariadb.jdbc.client.ReadableByteBuf buffer,
                                     Reader reader,
                                     org.mariadb.jdbc.client.Context context)
                              throws IOException

Throws:
  `IOException`

### Method Detail

#### close

    public void close​(org.mariadb.jdbc.client.Client con)
               throws SQLException

Specified by:
  `close` in interface `Prepare`
Overrides:
  `close` in class `PrepareResultPacket`
Throws:
  `SQLException`

#### decrementUse

    public void decrementUse​(org.mariadb.jdbc.client.Client con,
                             ServerPreparedStatement preparedStatement)
                      throws SQLException

Specified by:
  `decrementUse` in interface `Prepare`
Overrides:
  `decrementUse` in class `PrepareResultPacket`
Throws:
  `SQLException`

#### incrementUse

    public void incrementUse​(ServerPreparedStatement preparedStatement)

#### unCache

    public void unCache​(org.mariadb.jdbc.client.Client con)

#### cache

    public boolean cache()

#### getStatementId

    public int getStatementId()

Specified by:
  `getStatementId` in interface `Prepare`
Overrides:
  `getStatementId` in class `PrepareResultPacket`

#### reset

    public void reset()